package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B2;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B2Mapper {

    /**
     * 查询所有
     * @return
     */
    List<B2> selectAll();

    List<B2> selectB2ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B2> selectB2ByUserIDAndFromTo(@Param("userId") String userId,@Param("from") String from,@Param("to") String to);

    public List<B2> selectListByInfo(B2 b2);

    public int insertOne(B2 b2);

    int examineB2(B2 b2);

    int delB2(B2 b2);

    int weekdelB2(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b2字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(@Param("list") List<B2> list);
}
